package de.thdeg.greiner.superpangworld.graphics.base;

import de.thdeg.greiner.superpangworld.game.managers.GamePlayManager;
import de.thdeg.greiner.superpangworld.gameview.GameView;

/**
 * A basic game object.
 */
public abstract class GameObject {

    /** The game view to display the game object on. */
    protected final GameView gameView;
    /** The position of the game object. */
    protected final Position position;
    /** The size of the game object. */
    protected double size;
    /** The speed in pixel per tick of the game object. */
    protected double speedInPixel;
    /** The rotation of the game object. */
    protected double rotation;
    /** The width of the game object. */
    protected int width;
    /** The height of the game object. */
    protected int height;
    /** The responsible GamePlayManager */
    protected GamePlayManager gamePlayManager;


    /**
     * Create a game object with default values.
     * @param gameView the gameView
     */
    protected GameObject(GameView gameView){
        this.gameView = gameView;
        position = new Position(0,0);
    }

    /**
     * Update the position of the game object.
     */
    public void updatePosition(){

    }

    /**
     * Add the game object to the canvas.
     */
    public void addToCanvas(){

    }

    /**
     * Updates the game object's status.
     */
    public void updateStatus(){

    }

    /**
     * Set the responsible GamePlayManager.
     * @param gamePlayManager the responsible GamePlayManager
     */
    public void setGamePlayManager(GamePlayManager gamePlayManager){
        this.gamePlayManager = gamePlayManager;
    }

    /**
     * Get the position of the game object.
     * @return the position
     */
    public Position getPosition(){
        return position;
    }

}
